Subject: find-file asks for confirmation three times with ido

From: Mario Valencia <[email-masked]>
Date: Sun, 2 Jun 2013 00:56:46 -0500

If I find-file, when using Ido, and input a non-existent filename, then
press enter very fast, it will echo "searching for **filename** in the
minibuffer", and show "[no match]", then i press enter a second time, then
it asks for confirmation, then i press enter a third time and it creates
the buffer. That is three enters to find a file, when it should only be two
(one first, then one for confirmation). The bug only happens if I press the
first enter fast, before it echoes "searching for _filename_".